You can set the status for yourself or another user. The
AllowUserStatusMessageChangesetting must be enabled in theAccountsworkspace settings.To change another user's status, you must have the
edit-other-user-infopermission.According to your workspace settings (under Accounts), you will only be able to set the invisible or
offlinestatus if theAllow Invisible status optionsetting is enabled.Changelog
Version Description 8.6.0 Added expiresAtrequest parameter for timed status expiration.1.2.0 Added
The authenticated user ID.
The authenticated user token.
{
"message": "My status update",
"status": "online",
"expiresAt": "2026-06-22T18:00:00.000Z",
"userId": "zXuq7SvPKYbzYmfpo",
"username": "bob"
}The user's status message. At least one of the message or status parameters is required.
The user's status like online, away, busy, or offline. At least one of the message or status parameters is required.
Date as an ISO 8601 string. Sets an expiration time for the status. When this time passes, the presence engine restores the user's previous status. Must be a future date. Omit this parameter to keep the status until it is changed again.
The user ID for which you want to set the status. You don't need to add this if you are setting the status for yourself. Alternatively, you can use the username parameter and enter the username for which you want to set the status.
OK
{
"success": true
}Bad Request
{
"success": false,
"error": "Match error: Failed Match.OneOf, Match.Maybe or Match.Optional validation"
}{
"success": false,
"error": "expiresAt must be a future date [error-invalid-date]",
"errorType": "error-invalid-date"
}Unauthorized
{
"status": "error",
"message": "You must be logged in to do this."
}